docs

# RestrictChatMember

data class RestrictChatMember ( val chatId: ChatIdentifier , val userId: UserId , val untilDate: TelegramDate ? = null, val permissions: ChatPermissions = ChatPermissions()) : ChatMemberRequest < Boolean > , UntilDate
Content copied to clipboard

## Constructors

RestrictChatMember
Link copied to clipboard
fun RestrictChatMember ( chatId: ChatIdentifier , userId: UserId , untilDate: TelegramDate ? = null, permissions: ChatPermissions = ChatPermissions())
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
permissions
Link copied to clipboard
val permissions : ChatPermissions
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< Boolean >
Content copied to clipboard
untilDate
Link copied to clipboard
open override val untilDate : TelegramDate ? = null
Content copied to clipboard
userId
Link copied to clipboard
open override val userId : UserId
Content copied to clipboard